#include "xmaterialpixelshader.h"

XMaterialPixelShader::XMaterialPixelShader()
    : XAsset()
    , mName()
    , mShaderProgram()
{
    SetType(ASSET_TYPE_PIXELSHADER);
    SetName("Pixel Shader");
}

XMaterialPixelShader::~XMaterialPixelShader()
{
    
}

void XMaterialPixelShader::Clear()
{
    mName.Clear();
    mShaderProgram.Clear();
}

void XMaterialPixelShader::ParseData(QDataStream *aStream)
{
    if (GetPtr() == -1)
    {
        mName.ParsePtr(aStream);
        mShaderProgram.ParseData(aStream);
    }
}
